Bug 862362 - 2 RoutingErrors when accessing main site page
2 RoutingErrors when accessing main site page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 13:40 EDT by Thomas Wiest
Modified: 2015-05-14 21:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2012-10-02 13:40:53 EDT
Description of problem:
When accessing the main website page in INT, I get the following 2 RoutingErrors (see below for full errors):
No route matches [GET] "/assets/omniture/s_code.js"
No route matches [GET] "/assets/tracking.js"


Version-Release number of selected component (if applicable):
rhc-site-0.99.6-4.el6_3.noarch

How reproducible:
very

Steps to Reproduce:
1. Access website
2. Notice the error in the site's production.log file

  
Actual results:
2012-10-02 13:21:58.906 [FATAL] ActionController::RoutingError (No route matches [GET] "/assets/omniture/s_code.js"):
  actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
  railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'
  railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'
  actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call'
  rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'
  rack (1.4.1) lib/rack/runtime.rb:17:in `call'
  activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call'
  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'
  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'
  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'
  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'
  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'
  railties (3.2.8) lib/rails/engine.rb:479:in `call'
  railties (3.2.8) lib/rails/application.rb:223:in `call'
  railties (3.2.8) lib/rails/railtie/configurable.rb:30:in `method_missing'
  passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:514:in `accept_and_process_next_request'
  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:79:in `block in spawn_application'
  passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.12) helper-scripts/passenger-spawn-server:102:in `<main>' (pid:1625) 




2012-10-02 13:34:32.296 [FATAL] ActionController::RoutingError (No route matches [GET] "/assets/tracking.js"):
  actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
  railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'
  railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'
  actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call'
  rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'
  rack (1.4.1) lib/rack/runtime.rb:17:in `call'
  activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call'
  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'
  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'
  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'
  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'
  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'
  railties (3.2.8) lib/rails/engine.rb:479:in `call'
  railties (3.2.8) lib/rails/application.rb:223:in `call'
  railties (3.2.8) lib/rails/railtie/configurable.rb:30:in `method_missing'
  passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:514:in `accept_and_process_next_request'
  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:79:in `block in spawn_application'
  passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'
  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'
  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.12) helper-scripts/passenger-spawn-server:102:in `<main>' (pid:1625)

Expected results:
No error
Comment 1 Clayton Coleman 2012-10-02 21:20:40 EDT
https://github.com/openshift/li/pull/435
Comment 2 Clayton Coleman 2012-10-03 14:07:55 EDT
twiest to verify.
Comment 3 Thomas Wiest 2012-10-05 12:10:35 EDT
I no longer see these routing errors in the production.log file with these rpms:
rhc-site-0.99.8-3.el6_3.noarch
rhc-site-static-0.99.8-1.el6_3.noarch

Marking Verified.

Note You need to log in before you can comment on or make changes to this bug.